Page MenuHomeFreeBSD

New port: net-mgmt/check_nwc_health: Nagios plugin to monitor network equipment via SNMP
ClosedPublic

Authored by leres on May 31 2019, 10:52 PM.

Details

Summary

I used psvn to add the new directories/files and will use
Tools/scripts/addport to commit the changes (on approval).

Proposed commit message:

This adds net-mgmt/check_nwc_health, a Nagios plugin that uses
SNMP to monitor network devices.

Reviewed by:	? (mentor)
Approved by:	? (mentor)
Differential Revision:	?

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

leres created this revision.May 31 2019, 10:52 PM
ler added a comment.Jun 1 2019, 3:39 PM

see my comments inline.

net-mgmt/check_nwc_health/files/patch-plugins-scripts_Makefile.in
9 ↗(On Diff #58135)

for both grep & sed, the standard is to use ${GREP} and ${SED}

but in this case I'm not sure if that'll come through.

leres added a comment.Jun 1 2019, 3:41 PM

Maybe it would be better to use REINPLACE_CMD for this?

ler added a comment.Jun 1 2019, 3:48 PM

Yes, it probably would.

leres updated this revision to Diff 58149.Jun 1 2019, 4:01 PM

Replace the patch file with REINPLACE_CMD, SED, and GREP.

ler accepted this revision.Jun 1 2019, 4:02 PM

LGTM

This revision is now accepted and ready to land.Jun 1 2019, 4:02 PM
This revision was automatically updated to reflect the committed changes.
mat added inline comments.Jun 8 2019, 6:26 PM
head/net-mgmt/check_nwc_health/Makefile
20

Use PERL here, not PERL5. PERL5 is version dependent, and if it gets recorded it will stop working when Perl is upgraded.

leres added a comment.Jun 8 2019, 7:47 PM

Addressed by r503750 (thanks!)